View Issue Details

IDProjectCategoryView StatusLast Update
0033250Open CASCADEOCCT:Configurationpublic2023-02-03 12:25
Reporterdpasukhi Assigned Todpasukhi  
PrioritynormalSeverityminor 
Status verifiedResolutionfixed 
PlatformLinuxOSUbuntu 20.04 
Target Version7.7.1 
Summary0033250: Configuration - Missing Limits header file
DescriptionIt is inpossible to build OCCT on gcc (Ubuntu 11.2.0-19ubuntu1) 11.2.0
"opencascade-7.7.0/src/ViewerTest/ViewerTest_CmdParser.cxx"´╝îmiss "#include <limits>"
Additionally, I find a message on forum: https://dev.opencascade.org/node/84230#comment-23868
Steps To ReproduceNot possible
TagsNo tags attached.
Test case number

Relationships

has duplicate 0033323 feedbacklitavszky Community Coding - Missing #include <limits> in ViewerTest_CmdParser.cxx in v7.7.0 

Activities

git

2022-12-02 19:08

administrator   ~0112481

Branch CR33250 has been created by dpasukhi.

SHA-1: b15892da313c8f8e47a4dbf749764105d639a0cf


Detailed log of new commits:

Author: dpasukhi
Date: Fri Dec 2 16:08:06 2022 +0000

    0033250: Configuration - Missing Limits header file
    
    Added new include limits to fix build problem

dpasukhi

2022-12-02 19:14

developer   ~0112482

Dear smoskvin
please review CR33250.

It is necessary to test on linux OS in new gcc. The current fix solve the problem on gcc (Ubuntu 11.2.0-19ubuntu1) 11.2.0.
Problem string is ViewerTest_CmdParser.cxx::54:
const std::size_t ViewerTest_CmdParser::THE_UNNAMED_COMMAND_OPTION_KEY = (std::numeric_limits<std::size_t>::max)();

Build is OK, see:
http://jenkins-test-10.nnov.opencascade.com/view/CR33250-master-dpasukhi/view/OCCT%20compile/

dpasukhi

2022-12-02 19:37

developer   ~0112483

To integration:
OCCT - CR33250

git

2022-12-11 22:37

administrator   ~0112584

Branch CR33250 has been deleted by mnt.

SHA-1: b15892da313c8f8e47a4dbf749764105d639a0cf

Related Changesets

occt: master 2a8c5ad4

2022-12-02 19:08:06

dpasukhi


Committer: smoskvin Details Diff
0033250: Configuration - Missing Limits header file

Added new include limits to fix build problem
Affected Issues
0033250
mod - src/ViewerTest/ViewerTest_CmdParser.cxx Diff File

Issue History

Date Modified Username Field Change
2022-12-02 19:05 dpasukhi New Issue
2022-12-02 19:05 dpasukhi Assigned To => dpasukhi
2022-12-02 19:08 git Note Added: 0112481
2022-12-02 19:14 dpasukhi Assigned To dpasukhi => smoskvin
2022-12-02 19:14 dpasukhi Status new => resolved
2022-12-02 19:14 dpasukhi Steps to Reproduce Updated
2022-12-02 19:14 dpasukhi Note Added: 0112482
2022-12-02 19:37 dpasukhi Assigned To smoskvin => bugmaster
2022-12-02 19:37 dpasukhi Status resolved => reviewed
2022-12-02 19:37 dpasukhi Note Added: 0112483
2022-12-05 00:22 smoskvin Status reviewed => tested
2022-12-05 00:25 smoskvin Changeset attached => occt master 2a8c5ad4
2022-12-05 00:25 dpasukhi Assigned To bugmaster => dpasukhi
2022-12-05 00:25 dpasukhi Status tested => verified
2022-12-05 00:25 dpasukhi Resolution open => fixed
2022-12-11 22:37 git Note Added: 0112584
2023-02-03 12:25 dpasukhi Relationship added has duplicate 0033323